Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.naming.local
Class localContextRoot

    java.lang.Object
      org.mortbay.naming.local.localContextRoot

All Implemented Interfaces:
  javax.naming.Context

    public class localContextRoot

extends java.lang.Object
implements javax.naming.Context

localContext

Version:
  $Revision: 1327 $ $Date: 2006-11-28 05:40:14 +1100 (Tue, 28 Nov 2006) $
Author:
  janb

Field Summary

Fields inherited from interface javax.naming.Context
`APPLET, AUTHORITATIVE, BATCHSIZE, DNS_URL, INITIAL_CONTEXT_FACTORY, LANGUAGE, OBJECT_FACTORIES, PROVIDER_URL, REFERRAL, SECURITY_AUTHENTICATION, SECURITY_CREDENTIALS, SECURITY_PRINCIPAL, SECURITY_PROTOCOL, STATE_FACTORIES, URL_PKG_PREFIXES`

Constructor Summary
`localContextRoot(java.util.Hashtable env)`

Method Summary
`java.lang.Object` | `addToEnvironment(java.lang.String propName, java.lang.Object propVal)`
`void` | `bind(javax.naming.Name name, java.lang.Object obj)`
`void` | `bind(java.lang.String name, java.lang.Object obj)`
`void` | `close()`
`javax.naming.Name` | `composeName(javax.naming.Name name, javax.naming.Name prefix)`
`java.lang.String` | `composeName(java.lang.String name, java.lang.String prefix)`
`javax.naming.Context` | `createSubcontext(javax.naming.Name name)`
`javax.naming.Context` | `createSubcontext(java.lang.String name)`
`void` | `destroySubcontext(javax.naming.Name name)`
`void` | `destroySubcontext(java.lang.String name)`
`java.util.Hashtable` | `getEnvironment()`
`java.lang.String` | `getNameInNamespace()`
`javax.naming.NameParser` | `getNameParser(javax.naming.Name name)`
`javax.naming.NameParser` | `getNameParser(java.lang.String name)`
`protected javax.naming.Name` | `getSuffix(javax.naming.Name name)`
`protected java.lang.String` | `getSuffix(java.lang.String url)`
`javax.naming.NamingEnumeration` | `list(javax.naming.Name name)`
`javax.naming.NamingEnumeration` | `list(java.lang.String name)`
`javax.naming.NamingEnumeration` | `listBindings(javax.naming.Name name)`
`javax.naming.NamingEnumeration` | `listBindings(java.lang.String name)`
`java.lang.Object` | `lookup(javax.naming.Name name)`
`java.lang.Object` | `lookup(java.lang.String name)`
`java.lang.Object` | `lookupLink(javax.naming.Name name)`
`java.lang.Object` | `lookupLink(java.lang.String name)`
`void` | `rebind(javax.naming.Name name, java.lang.Object obj)`
`void` | `rebind(java.lang.String name, java.lang.Object obj)`
`java.lang.Object` | `removeFromEnvironment(java.lang.String propName)`
`void` | `rename(javax.naming.Name oldName, javax.naming.Name newName)`
`void` | `rename(java.lang.String oldName, java.lang.String newName)`
`void` | `unbind(javax.naming.Name name)`
`void` | `unbind(java.lang.String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### localContextRoot

    public localContextRoot(java.util.Hashtable env)

Method Detail

### close

    public void close()
               throws javax.naming.NamingException

  Specified by:
    `close` in interface `javax.naming.Context`
  Throws:
    `javax.naming.NamingException`
  See Also:
    `Context.close()`

### getNameInNamespace

    public java.lang.String getNameInNamespace()
                                        throws javax.naming.NamingException

  Specified by:
    `getNameInNamespace` in interface `javax.naming.Context`
  Throws:
    `javax.naming.NamingException`
  See Also:
    `Context.getNameInNamespace()`

### destroySubcontext

    public void destroySubcontext(java.lang.String name)
                           throws javax.naming.NamingException

  Specified by:
    `destroySubcontext` in interface `javax.naming.Context`
  Throws:
    `javax.naming.NamingException`
  See Also:
    `Context.destroySubcontext(java.lang.String)`

### unbind

    public void unbind(java.lang.String name)
                throws javax.naming.NamingException

  Specified by:
    `unbind` in interface `javax.naming.Context`
  Throws:
    `javax.naming.NamingException`
  See Also:
    `Context.unbind(java.lang.String)`

### getEnvironment

    public java.util.Hashtable getEnvironment()
                                       throws javax.naming.NamingException

  Specified by:
    `getEnvironment` in interface `javax.naming.Context`
  Throws:
    `javax.naming.NamingException`
  See Also:
    `Context.getEnvironment()`

### destroySubcontext

    public void destroySubcontext(javax.naming.Name name)
                           throws javax.naming.NamingException

  Specified by:
    `destroySubcontext` in interface `javax.naming.Context`
  Throws:
    `javax.naming.NamingException`
  See Also:
    `Context.destroySubcontext(javax.naming.Name)`

### unbind

    public void unbind(javax.naming.Name name)
                throws javax.naming.NamingException

  Specified by:
    `unbind` in interface `javax.naming.Context`
  Throws:
    `javax.naming.NamingException`
  See Also:
    `Context.unbind(javax.naming.Name)`

### lookup

    public java.lang.Object lookup(java.lang.String name)
                            throws javax.naming.NamingException

  Specified by:
    `lookup` in interface `javax.naming.Context`
  Throws:
    `javax.naming.NamingException`
  See Also:
    `Context.lookup(java.lang.String)`

### lookupLink

    public java.lang.Object lookupLink(java.lang.String name)
                                throws javax.naming.NamingException

  Specified by:
    `lookupLink` in interface `javax.naming.Context`
  Throws:
    `javax.naming.NamingException`
  See Also:
    `Context.lookupLink(java.lang.String)`

### removeFromEnvironment

    public java.lang.Object removeFromEnvironment(java.lang.String propName)
                                           throws javax.naming.NamingException

  Specified by:
    `removeFromEnvironment` in interface `javax.naming.Context`
  Throws:
    `javax.naming.NamingException`
  See Also:
    `Context.removeFromEnvironment(java.lang.String)`

### bind

    public void bind(java.lang.String name,
                     java.lang.Object obj)
              throws javax.naming.NamingException

  Specified by:
    `bind` in interface `javax.naming.Context`
  Throws:
    `javax.naming.NamingException`
  See Also:
    `Context.bind(java.lang.String, java.lang.Object)`

### rebind

    public void rebind(java.lang.String name,
                       java.lang.Object obj)
                throws javax.naming.NamingException

  Specified by:
    `rebind` in interface `javax.naming.Context`
  Throws:
    `javax.naming.NamingException`
  See Also:
    `Context.rebind(java.lang.String, java.lang.Object)`

### lookup

    public java.lang.Object lookup(javax.naming.Name name)
                            throws javax.naming.NamingException

  Specified by:
    `lookup` in interface `javax.naming.Context`
  Throws:
    `javax.naming.NamingException`
  See Also:
    `Context.lookup(javax.naming.Name)`

### lookupLink

    public java.lang.Object lookupLink(javax.naming.Name name)
                                throws javax.naming.NamingException

  Specified by:
    `lookupLink` in interface `javax.naming.Context`
  Throws:
    `javax.naming.NamingException`
  See Also:
    `Context.lookupLink(javax.naming.Name)`

### bind

    public void bind(javax.naming.Name name,
                     java.lang.Object obj)
              throws javax.naming.NamingException

  Specified by:
    `bind` in interface `javax.naming.Context`
  Throws:
    `javax.naming.NamingException`
  See Also:
    `Context.bind(javax.naming.Name, java.lang.Object)`

### rebind

    public void rebind(javax.naming.Name name,
                       java.lang.Object obj)
                throws javax.naming.NamingException

  Specified by:
    `rebind` in interface `javax.naming.Context`
  Throws:
    `javax.naming.NamingException`
  See Also:
    `Context.rebind(javax.naming.Name, java.lang.Object)`

### rename

    public void rename(java.lang.String oldName,
                       java.lang.String newName)
                throws javax.naming.NamingException

  Specified by:
    `rename` in interface `javax.naming.Context`
  Throws:
    `javax.naming.NamingException`
  See Also:
    `Context.rename(java.lang.String, java.lang.String)`

### createSubcontext

    public javax.naming.Context createSubcontext(java.lang.String name)
                                          throws javax.naming.NamingException

  Specified by:
    `createSubcontext` in interface `javax.naming.Context`
  Throws:
    `javax.naming.NamingException`
  See Also:
    `Context.createSubcontext(java.lang.String)`

### createSubcontext

    public javax.naming.Context createSubcontext(javax.naming.Name name)
                                          throws javax.naming.NamingException

  Specified by:
    `createSubcontext` in interface `javax.naming.Context`
  Throws:
    `javax.naming.NamingException`
  See Also:
    `Context.createSubcontext(javax.naming.Name)`

### rename

    public void rename(javax.naming.Name oldName,
                       javax.naming.Name newName)
                throws javax.naming.NamingException

  Specified by:
    `rename` in interface `javax.naming.Context`
  Throws:
    `javax.naming.NamingException`
  See Also:
    `Context.rename(javax.naming.Name, javax.naming.Name)`

### getNameParser

    public javax.naming.NameParser getNameParser(java.lang.String name)
                                          throws javax.naming.NamingException

  Specified by:
    `getNameParser` in interface `javax.naming.Context`
  Throws:
    `javax.naming.NamingException`
  See Also:
    `Context.getNameParser(java.lang.String)`

### getNameParser

    public javax.naming.NameParser getNameParser(javax.naming.Name name)
                                          throws javax.naming.NamingException

  Specified by:
    `getNameParser` in interface `javax.naming.Context`
  Throws:
    `javax.naming.NamingException`
  See Also:
    `Context.getNameParser(javax.naming.Name)`

### list

    public javax.naming.NamingEnumeration list(java.lang.String name)
                                        throws javax.naming.NamingException

  Specified by:
    `list` in interface `javax.naming.Context`
  Throws:
    `javax.naming.NamingException`
  See Also:
    `Context.list(java.lang.String)`

### listBindings

    public javax.naming.NamingEnumeration listBindings(java.lang.String name)
                                                throws javax.naming.NamingException

  Specified by:
    `listBindings` in interface `javax.naming.Context`
  Throws:
    `javax.naming.NamingException`
  See Also:
    `Context.listBindings(java.lang.String)`

### list

    public javax.naming.NamingEnumeration list(javax.naming.Name name)
                                        throws javax.naming.NamingException

  Specified by:
    `list` in interface `javax.naming.Context`
  Throws:
    `javax.naming.NamingException`
  See Also:
    `Context.list(javax.naming.Name)`

### listBindings

    public javax.naming.NamingEnumeration listBindings(javax.naming.Name name)
                                                throws javax.naming.NamingException

  Specified by:
    `listBindings` in interface `javax.naming.Context`
  Throws:
    `javax.naming.NamingException`
  See Also:
    `Context.listBindings(javax.naming.Name)`

### addToEnvironment

    public java.lang.Object addToEnvironment(java.lang.String propName,
                                             java.lang.Object propVal)
                                      throws javax.naming.NamingException

  Specified by:
    `addToEnvironment` in interface `javax.naming.Context`
  Throws:
    `javax.naming.NamingException`
  See Also:
    `Context.addToEnvironment(java.lang.String, java.lang.Object)`

### composeName

    public java.lang.String composeName(java.lang.String name,
                                        java.lang.String prefix)
                                 throws javax.naming.NamingException

  Specified by:
    `composeName` in interface `javax.naming.Context`
  Throws:
    `javax.naming.NamingException`
  See Also:
    `Context.composeName(java.lang.String, java.lang.String)`

### composeName

    public javax.naming.Name composeName(javax.naming.Name name,
                                         javax.naming.Name prefix)
                                  throws javax.naming.NamingException

  Specified by:
    `composeName` in interface `javax.naming.Context`
  Throws:
    `javax.naming.NamingException`
  See Also:
    `Context.composeName(javax.naming.Name, javax.naming.Name)`

### getSuffix

    protected java.lang.String getSuffix(java.lang.String url)
                                  throws javax.naming.NamingException

  Throws:
    `javax.naming.NamingException`

### getSuffix

    protected javax.naming.Name getSuffix(javax.naming.Name name)
                                   throws javax.naming.NamingException

  Throws:
    `javax.naming.NamingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.